quantile_update <- function(model, datatr = NA, y = NA){
    # Find the number of parameters for the regression
    np <- length(datatr)

    # Check if data was kept
    kept_input_data <- !is.na(model$datatr[1])
    
    # Check if data was kept
    kept_input_data <- !is.na(model$datatr[1])

    # Parameters for quantile
    lambda <- model$regprm$lambda
    ## n_in_bin could be change!!
    n_in_bin <-  round(2*(1/(1-lambda)))
    
    model$run(X = X[, -which(names(X) %in% c("y"))],
              Y = X[, "y"],
              tau = tau,
              residuals = as.matrix(r),
              beta = matrix(beta, nrow = length(datatr)),
              Time = data[["t"]],
              n_in_bin = round(2*(1/(1-model$regprm$lambda))),
              Weights = model$regprm$lambda)

    invisible()
}
